$(function(){
	var props = 'transform WebkitTransform MozTransform OTransform msTransform'.split(' '),
		prop,
		el = document.createElement('div');

	for(var i = 0, l = props.length; i < l; i++) {
		if(typeof el.style[props[i]] !== "undefined") {
			prop = props[i];
			break;
		}
	}

	/*		
	var xAngle = 0, yAngle = 0;
	$('body').keydown(function(evt) {
		switch(evt.keyCode) {
			case 37: // left
				yAngle -= 90;
				break;
			case 38: // up
				xAngle += 90;	
				break;
			case 39: // right
				yAngle += 90;
				break;
			case 40: // down
				xAngle -= 90;
				break;
		};
		evt.preventDefault();
		evt.stopPropagation();		
		document.getElementById('box').style[prop] = "rotateX("+xAngle+"deg) rotateY("+yAngle+"deg)";
	});
	*/
	
	var xAngle = 0, yAngle = 0;
	var width = 0, height = 0;
	var mouseX = 0, mouseY = 0;
	
	var targetRotationX = 0, targetRotationY = 0;
	var targetRotationOnMouseXDown = 0, targetRotationOnMouseYDown = 0;
	var mouseX = 0, mouseY = 0;
	var mouseXOnMouseDown = 0, mouseYOnMouseDown = 0;
	var windowHalfX = $(window).width() / 2;
	var windowHalfY = $(window).height() / 2;	

	$('body').mousedown(function(event) {
		mouseXOnMouseDown = event.pageX - windowHalfX;
		mouseYOnMouseDown = event.pageY - windowHalfY;		
		targetRotationOnMouseXDown = targetRotationX;
		xAngle += ( targetRotationY ) * 0.4;
		yAngle += ( targetRotationX ) * 0.4;	
		document.getElementById('box').style[prop] = "rotateX("+xAngle+"deg) rotateY("+yAngle+"deg)";		
	});
	$('body').mousemove(function(event) {
		mouseX = event.pageX - windowHalfX;
		mouseY = event.pageY - windowHalfY;	
		targetRotationX = targetRotationOnMouseXDown + ( mouseX - mouseXOnMouseDown ) * 0.4;
		targetRotationY = targetRotationOnMouseYDown + ( mouseY - mouseYOnMouseDown ) * 0.4;			
	});	
});